UIM : Upgrade failure from 9.0.2 to 20.1

book

Article ID: 192210

calendar_today

Updated On:

Products

NIMSOFT PROBES DX Infrastructure Management

Issue/Introduction

While upgrading UIM 9.0.2 on linux to 20.1 if running ./setupCAUIMServer.bin -i console it fails with the following error in uimserver_ia_install.log  

2020-05-13 13:20:44,096 ERROR console.NimCustomCodeConsoleBase:executeConsoleAction:134 [main]  - Exception caught during processing. Aborting installation.
(6) permission denied, Failed to communicate with probe 'automated_deployment_engine' in the allotted time of 300 secs.

Environment

Release : 9.0.2

Component : UIM - INSTALL

Resolution

Performed the following steps:

1.Delete automated_deployment_engine probe and the directory from UIM server
2.Deploy java_jre pkg to UIM robot hub 
3.Re-Deploy automated_deployment_engine probe again 
4.Try to upgrading again

NOTE:
Some customer reported that the permission error occurred while upgrading UIM as java_jre pkg had been removed from the directory of /jre. 

Attachments